Loading...
Searching...
No Matches
xccdf_policy_iterator Struct Reference
XCCDF_POLICY

Iterate through policies. More...

`#include <xccdf_policy.h>`

## Public Member Functions

Iterators
OSCAP_API bool | xccdf_policy_iterator_has_more (struct xccdf_policy_iterator *it)
| Return true if the list is not empty, false otherwise.
OSCAP_API struct xccdf_policy * | xccdf_policy_iterator_next (struct xccdf_policy_iterator *it)
| Return the next xccdf_policy structure from the list and increment the iterator.
OSCAP_API void | xccdf_policy_iterator_free (struct xccdf_policy_iterator *it)
| Free the iterator structure (it makes no changes to the list structure).
OSCAP_API void | xccdf_policy_iterator_reset (struct xccdf_policy_iterator *it)
| Reset the iterator structure (it will point to the first item in the list).

## Detailed Description

Iterate through policies.

See also
  xccdf_policy_model_get_policies

The documentation for this struct was generated from the following file:

- xccdf_policy.h